Bug 1297017 - hammer host reports does not return any data
hammer host reports does not return any data
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Reporting (Show other bugs)
6.1.4
Unspecified Unspecified
unspecified Severity medium (vote)
: GA
: --
Assigned To: Martin Bacovsky
Peter Ondrejka
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-08 13:11 EST by Tom Sorensen
Modified: 2018-02-21 12:10 EST (History)
10 users (show)

See Also:
Fixed In Version: rubygem-hammer_cli_foreman-0.11.0.5, foreman-1.15.6.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 12:10:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20742 None None None 2017-08-25 09:04 EDT
Foreman Issue Tracker 21602 None None None 2017-11-21 05:17 EST
Github theforeman/foreman/commit/820afc57b1264f72e07e4e73a14d0565d559f7f7 None None None 2017-11-21 05:34 EST

  None (edit)
Description Tom Sorensen 2016-01-08 13:11:37 EST
Description of problem:
Running "hammer host reports --id XX" only outputs the column headers and not any data. Data is visible in the UI.

Version-Release number of selected component (if applicable):
6.1.4

How reproducible:
Always

Steps to Reproduce:
1. Ensure that there are reports for the host in question in the UI
2. Get the id for the host by running "hammer host info --name foo | grep '^Id' | awk '{print $NF}'
3. run "hammer host reports --id XX" where XX is the id for the host from the previous command

Actual results:
Output is the column headers only, as follows:
---|------|-------------|---------|-----------|--------|------------------|--------|--------
ID | HOST | LAST REPORT | APPLIED | RESTARTED | FAILED | RESTART FAILURES | SKIPPED | PENDING
---|------|-------------|---------|-----------|--------|------------------|--------|--------


Expected results:
Data from reports screen should be displayed.

Additional info:
Comment 1 Bryan Kearney 2016-07-26 15:07:00 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 2 Bryan Kearney 2017-01-11 16:46:14 EST
This is an older bug which I do not envision being fixed in the near term. I am closing this out. If you believe doing so is an issue, please feel free to re-open and provide additional business information. Thank you.
Comment 5 Tomas Strachota 2017-08-25 09:04:12 EDT
The bug isn't caused by using wrong api endpoint as http://projects.theforeman.org/issues/14510 suggests. I attached a new upstream issue and connected it with the previous one. It would be good to fix them together.
Comment 13 pm-sat@redhat.com 2017-11-08 06:24:22 EST
Upstream bug assigned to oprazak@redhat.com
Comment 14 pm-sat@redhat.com 2017-11-08 06:24:26 EST
Upstream bug assigned to oprazak@redhat.com
Comment 15 pm-sat@redhat.com 2017-11-14 10:26:09 EST
Upstream bug assigned to mbacovsk@redhat.com
Comment 16 pm-sat@redhat.com 2017-11-14 10:26:15 EST
Upstream bug assigned to mbacovsk@redhat.com
Comment 17 pm-sat@redhat.com 2017-11-15 04:24:23 EST
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20742 has been resolved.
Comment 18 Peter Ondrejka 2017-11-20 04:44:54 EST
Checked in Sat 6.3 snap 25. Listing host reports using --name works as expected, but listing via --id returns "Error: 400 Bad Request". Will provide debug output in attachment.
Comment 20 Martin Bacovsky 2017-11-21 05:17:22 EST
There is also related API fix that was not cherry-picked along. Adding the links
Comment 22 Evgeni Golov 2017-11-21 06:02:34 EST
moving to needs_cherrypick for the foreman change
Comment 23 Peter Ondrejka 2017-11-27 05:02:48 EST
Verified on Sat 6.3 snap 26, host reports can now be listed both via id and name
Comment 24 Bryan Kearney 2018-02-21 11:44:33 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336
Comment 25 Bryan Kearney 2018-02-21 12:10:39 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.